Hello,

I did stumble about the following error.
I changed a site with a subdomain from modRUID to suphp to use PHP 5.6
After the change the site have only the default system 5.4.16
Why?
Have a look at the configs

/etc/httpd/conf/vhosts/site27

<IfModule mod_suphp.c>
    suPHP_Engine on
    suPHP_UserGroup ab_admin site27
    AddType application/x-httpd-suphp-5.6 .php
    AddHandler x-httpd-suphp-5.6 .php .php5 .php4 .php3 .phtml
    suPHP_AddHandler x-httpd-suphp-5.6
    suPHP_ConfigPath /home/.sites/142/site27/
</IfModule>

/etc/httpd/conf.d/subdomains/site27.store.conf

    suPHP_Engine on
    suPHP_UserGroup ab_admin site27
    AddType application/x-httpd-suphp .php
    AddHandler x-httpd-suphp .php .php5 .php4 .php3 .phtml
    suPHP_AddHandler x-httpd-suphp
    suPHP_ConfigPath /home/.sites/142/site27/

Not the handler for php 5.6

If additional php versions are present this version should also be valid for 
the subdomain in my point of view.

Best regards,
Dirk

---

blackpoint GmbH - Friedberger Stra├če 106b - 61118 Bad Vilbel

_______________________________________________
Blueonyx mailing list
Blueonyx@mail.blueonyx.it
http://mail.blueonyx.it/mailman/listinfo/blueonyx

Reply via email to